diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -78257,7 +79778,7 @@ MtMoon1Blocks: ; 49b97 (12:5b97)
 MtMoon3_h: ; 0x49cff to 0x49d0b (12 bytes) (id=61)
 	db $11 ; tileset
 	db MT_MOON_3_HEIGHT, MT_MOON_3_WIDTH ; dimensions (y, x)
-	dw MtMoon3Blocks, MtMoon3Texts, MtMoon3Script ; blocks, texts, scripts
+	dw MtMoon3Blocks, MtMoon3TextPointers, MtMoon3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw MtMoon3Object ; objects
@@ -78265,14 +79786,14 @@ MtMoon3_h: ; 0x49cff to 0x49d0b (12 bytes) (id=61)
 MtMoon3Script: ; 49d0b (12:5d0b)
 	call EnableAutoTextBoxDrawing
 	ld hl, MtMoon3TrainerHeader0 ; $5e48
-	ld de, Unknown_49d63 ; $5d63
+	ld de, MtMoon3ScriptPointers
 	ld a, [W_MTMOON3CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_MTMOON3CURSCRIPT], a
 	ld a, [$d7f6]
 	bit 1, a
 	ret z
-	ld hl, Unknown_49d37 ; $5d37
+	ld hl, CoordsData_49d37
 	call ArePlayerCoordsInArray
 	jr nc, .asm_49d31 ; 0x49d29 $6
 	ld hl, $d72e
@@ -78283,8 +79804,24 @@ MtMoon3Script: ; 49d0b (12:5d0b)
 	res 4, [hl]
 	ret
 
-Unknown_49d37: ; 49d37 (12:5d37)
-INCBIN "baserom.gbc",$49d37,$49d58 - $49d37
+CoordsData_49d37: ; 49d37 (12:5d37)
+	db $05,$0B
+	db $05,$0C
+	db $05,$0D
+	db $05,$0E
+	db $06,$0B
+	db $06,$0C
+	db $06,$0D
+	db $06,$0E
+	db $07,$0B
+	db $07,$0C
+	db $07,$0D
+	db $07,$0E
+	db $08,$0B
+	db $08,$0C
+	db $08,$0D
+	db $08,$0E
+	db $FF
 
 Func_49d58: ; 49d58 (12:5d58)
 	xor a
@@ -78293,8 +79830,15 @@ Func_49d58: ; 49d58 (12:5d58)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_49d63: ; 49d63 (12:5d63)
-INCBIN "baserom.gbc",$49d63,$49d6f - $49d63
+MtMoon3ScriptPointers: ; 49d63 (12:5d63)
+	dw MtMoon3Script0
+	dw Func_324c
+	dw EndTrainerBattle
+	dw MtMoon3Script3
+	dw MtMoon3Script4
+	dw MtMoon3Script5
+
+MtMoon3Script0: ; 49d6f (12:5d6f)
 	ld a, [$d7f6]
 	bit 1, a
 	jp nz, Func_49d91
@@ -78315,6 +79859,8 @@ Func_49d91: ; 49d91 (12:5d91)
 	and $c0
 	jp z, CheckFightingMapTrainers
 	ret
+
+MtMoon3Script3: ; 49d9a (12:5d9a)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_49d58
@@ -78328,19 +79874,21 @@ Func_49d91: ; 49d91 (12:5d91)
 	ld [W_MTMOON3CURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
+
+MtMoon3Script4: ; 49dba (12:5dba)
 	ld a, $1
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
 	call SetSpriteMovementBytesToFF
-	ld hl, Unknown_49dea ; $5dea
+	ld hl, CoordsData_49dea
 	call ArePlayerCoordsInArray
 	jr c, .asm_49dd7
-	ld hl, Unknown_49df1 ; $5df1
+	ld hl, CoordsData_49df1
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
-	ld de, Unknown_49df9 ; $5df9
+	ld de, MovementData_49df9
 	jr .asm_49dda
 .asm_49dd7
-	ld de, Unknown_49df8 ; $5df8
+	ld de, MovementData_49df8
 .asm_49dda
 	ld a, $1
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
@@ -78350,17 +79898,25 @@ Func_49d91: ; 49d91 (12:5d91)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_49dea: ; 49dea (12:5dea)
-INCBIN "baserom.gbc",$49dea,$49df1 - $49dea
+CoordsData_49dea: ; 49dea (12:5dea)
+	db $07,$0C
+	db $06,$0B
+	db $05,$0C
+	db $FF
 
-Unknown_49df1: ; 49df1 (12:5df1)
-INCBIN "baserom.gbc",$49df1,$49df8 - $49df1
+CoordsData_49df1: ; 49df1 (12:5df1)
+	db $07,$0D
+	db $06,$0E
+	db $05,$0E
+	db $FF
 
-Unknown_49df8: ; 49df8 (12:5df8)
-INCBIN "baserom.gbc",$49df8,$49df9 - $49df8
+MovementData_49df8: ; 49df8 (12:5df8)
+	db $C0
 
-Unknown_49df9: ; 49df9 (12:5df9)
-INCBIN "baserom.gbc",$49df9,$49dfb - $49df9
+MovementData_49df9: ; 49df9 (12:5df9)
+	db $40,$FF
+
+MtMoon3Script5: ; 49dfb (12:5dfb)
 	ld a, [$d730]
 	bit 0, a
 	ret nz
@@ -78389,8 +79945,17 @@ INCBIN "baserom.gbc",$49df9,$49dfb - $49df9
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-MtMoon3Texts: ; 49e34 (12:5e34)
-	dw MtMoon3Text1, MtMoon3Text2, MtMoon3Text3, MtMoon3Text4, MtMoon3Text5, MtMoon3Text6, MtMoon3Text7, Predef5CText, Predef5CText, Unnamed_49f99
+MtMoon3TextPointers: ; 49e34 (12:5e34)
+	dw MtMoon3Text1
+	dw MtMoon3Text2
+	dw MtMoon3Text3
+	dw MtMoon3Text4
+	dw MtMoon3Text5
+	dw MtMoon3Text6
+	dw MtMoon3Text7
+	dw Predef5CText
+	dw Predef5CText
+	dw Unnamed_49f99
 
 MtMoon3TrainerHeaders: ; 49e48 (12:5e48)
 MtMoon3TrainerHeader0: ; 49e48 (12:5e48)
@@ -78429,7 +79994,7 @@ MtMoon3TrainerHeader4: ; 49e6c (12:5e6c)
 	dw MtMoon3EndBattleText5 ; 0x5fd1 TextEndBattle
 	dw MtMoon3EndBattleText5 ; 0x5fd1 TextEndBattle
 
-db $ff
+	db $ff
 
 MtMoon3Text1: ; 49e79 (12:5e79)
 	db $08 ; asm
@@ -78666,7 +80231,7 @@ MtMoon3Blocks: ; 4a041 (12:6041)
 SafariZoneWest_h: ; 0x4a1a9 to 0x4a1b5 (12 bytes) (id=219)
 	db $03 ; tileset
 	db SAFARI_ZONE_WEST_HEIGHT, SAFARI_ZONE_WEST_WIDTH ; dimensions (y, x)
-	dw SafariZoneWestBlocks, SafariZoneWestTexts, SafariZoneWestScript ; blocks, texts, scripts
+	dw SafariZoneWestBlocks, SafariZoneWestTextPointers, SafariZoneWestScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneWestObject ; objects
@@ -78674,8 +80239,15 @@ SafariZoneWest_h: ; 0x4a1a9 to 0x4a1b5 (12 bytes) (id=219)
 SafariZoneWestScript: ; 4a1b5 (12:61b5)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneWestTexts: ; 4a1b8 (12:61b8)
-	dw Predef5CText, Predef5CText, Predef5CText, Predef5CText, SafariZoneWestText5, SafariZoneWestText6, SafariZoneWestText7, SafariZoneWestText8
+SafariZoneWestTextPointers: ; 4a1b8 (12:61b8)
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw SafariZoneWestText5
+	dw SafariZoneWestText6
+	dw SafariZoneWestText7
+	dw SafariZoneWestText8
 
 SafariZoneWestText5: ; 4a1c8 (12:61c8)
 	TX_FAR _SafariZoneWestText5
@@ -78734,7 +80306,7 @@ SafariZoneWestBlocks: ; 4a248 (12:6248)
 SafariZoneSecretHouse_h: ; 0x4a30b to 0x4a317 (12 bytes) (id=222)
 	db $14 ; tileset
 	db SAFARI_ZONE_SECRET_HOUSE_HEIGHT, SAFARI_ZONE_SECRET_HOUSE_WIDTH ; dimensions (y, x)
-	dw SafariZoneSecretHouseBlocks, SafariZoneSecretHouseTexts, SafariZoneSecretHouseScript ; blocks, texts, scripts
+	dw SafariZoneSecretHouseBlocks, SafariZoneSecretHouseTextPointers, SafariZoneSecretHouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SafariZoneSecretHouseObject ; objects
@@ -78742,7 +80314,7 @@ SafariZoneSecretHouse_h: ; 0x4a30b to 0x4a317 (12 bytes) (id=222)
 SafariZoneSecretHouseScript: ; 4a317 (12:6317)
 	jp EnableAutoTextBoxDrawing
 
-SafariZoneSecretHouseTexts: ; 4a31a (12:631a)
+SafariZoneSecretHouseTextPointers: ; 4a31a (12:631a)
 	dw SafariZoneSecretHouseText1
 
 SafariZoneSecretHouseText1: ; 4a31c (12:631c)
@@ -78902,7 +80474,7 @@ LancePic: ; 4fba2 (13:7ba2)
 BattleCenterM_h: ; 0x4fd04 to 0x4fd10 (12 bytes) (id=239)
 	db $15 ; tileset
 	db BATTLE_CENTER_HEIGHT, BATTLE_CENTER_WIDTH ; dimensions (y, x)
-	dw BattleCenterMBlocks, BattleCenterMTexts, BattleCenterMScript ; blocks, texts, scripts
+	dw BattleCenterMBlocks, BattleCenterMTextPointers, BattleCenterMScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw BattleCenterMObject ; objects
@@ -78939,7 +80511,7 @@ BattleCenterMScript: ; 4fd10 (13:7d10)
 	ld [$c119], a
 	ret
 
-BattleCenterMTexts: ; 4fd4c (13:7d4c)
+BattleCenterMTextPointers: ; 4fd4c (13:7d4c)
 	dw BattleCenterMText1
 
 BattleCenterMText1: ; 4fd4e (13:7d4e)
@@ -78962,7 +80534,7 @@ BattleCenterMBlocks: ; 4fd5d (13:7d5d)
 TradeCenterM_h: ; 0x4fd71 to 0x4fd7d (12 bytes) (id=240)
 	db $15 ; tileset
 	db TRADE_CENTER_HEIGHT, TRADE_CENTER_WIDTH ; dimensions (y, x)
-	dw TradeCenterMBlocks, TradeCenterMTexts, TradeCenterMScript ; blocks, texts, scripts
+	dw TradeCenterMBlocks, TradeCenterMTextPointers, TradeCenterMScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw TradeCenterMObject ; objects
@@ -78970,7 +80542,7 @@ TradeCenterM_h: ; 0x4fd71 to 0x4fd7d (12 bytes) (id=240)
 TradeCenterMScript: ; 4fd7d (13:7d7d)
 	jp BattleCenterMScript
 
-TradeCenterMTexts: ; 4fd80 (13:7d80)
+TradeCenterMTextPointers: ; 4fd80 (13:7d80)
 	dw TradeCenterMText1
 
 TradeCenterMText1: ; 4fd82 (13:7d82)
@@ -79141,116 +80713,123 @@ PredefPointers: ; 4fe79 (13:7e79)
 	db BANK(LoadMonBackSprite) ; dbw macro gives an error for some reason
 	dw LoadMonBackSprite
 	dbw BANK(Func_79aba),Func_79aba
-	dbw $03,$7132
+	dbw BANK(Func_f132),Func_f132
 HealPartyPredef: ; 4fe8e (13:7e8e)
 	dbw BANK(HealParty),HealParty
 MoveAnimationPredef: ; 4fe91 (13:7e91)
 	dbw BANK(MoveAnimation),MoveAnimation; 08 play move animation
 	dbw BANK(Func_f71e),Func_f71e
 	dbw BANK(Func_f71e),Func_f71e
-	dbw $03,$781D
-	dbw $03,$7836
+	dbw BANK(Func_f81d),Func_f81d
+	dbw BANK(Func_f836),Func_f836
 	dbw BANK(Func_f71e),Func_f71e
 	dbw BANK(Func_f71e),Func_f71e
 	db BANK(InitializePlayerData)
     dw InitializePlayerData
-	dbw $03,$7666
-	dbw $03,$71D7
-	dbw $03,$71A6
-	dbw $03,$469C
-	dbw $0F,$4A83
-	dbw $03,$71C8
-	dbw $03,$71C8
-	dbw $03,$6E9E
+	dbw BANK(HandleBitArray),HandleBitArray
+	db BANK(RemoveMissableObject)
+	dw RemoveMissableObject
+	db BANK(IsMissableObjectHidden)
+	dw IsMissableObjectHidden
+	dbw BANK(Func_c69c),Func_c69c
+	db BANK(AnyPokemonAliveCheck)
+	dw AnyPokemonAliveCheck
+	db BANK(AddMissableObject)
+	dw AddMissableObject
+	db BANK(AddMissableObject)
+	dw AddMissableObject
+	dbw BANK(Func_ee9e),Func_ee9e
 	db BANK(InitializePlayerData)
     dw InitializePlayerData
-	dbw $03,$4754
-	dbw $0E,$6F5B
-	dbw $01,$6E43
-	dbw $03,$78A5; 1C, used in Pokémon Tower
-	dbw $03,$3EB5
-	dbw $03,$3E2E
-	dbw $12,$40EB
-	dbw $03,$78BA
-	dbw $12,$40FF
-	dbw $03,$7929
-	dbw $03,$79A0
-	dbw $12,$4125
-	dbw $03,$7A1D
-	dbw $03,$79DC
-	dbw $01,$5AB0
-	dbw $0F,$6D02
-	dbw $10,$4000
-	dbw $0E,$6D1C
-	dbw $1C,$778C
-	dbw $0F,$6F18
-	dbw $01,$5A5F
+	dbw BANK(Func_c754),Func_c754
+	dbw BANK(Func_3af5b),Func_3af5b
+	dbw BANK(Func_6e43),Func_6e43
+	dbw BANK(Func_f8a5),Func_f8a5; 1C, used in Pokémon Tower
+	dbw $03,Func_3eb5 ; for these two, the bank number is actually 0
+	dbw $03,GiveItem
+	dbw BANK(Func_480eb),Func_480eb
+	dbw BANK(Func_f8ba),Func_f8ba
+	dbw BANK(Func_480ff),Func_480ff
+	dbw BANK(Func_f929),Func_f929
+	dbw BANK(Func_f9a0),Func_f9a0
+	dbw BANK(Func_48125),Func_48125
+	dbw BANK(UpdateHPBar),UpdateHPBar
+	dbw BANK(Func_f9dc),Func_f9dc
+	dbw BANK(Func_5ab0),Func_5ab0
+	dbw BANK(Func_3ed02),Func_3ed02
+	db BANK(DisplayPokedexMenu_)
+	dw DisplayPokedexMenu_
+	dbw BANK(Func_3ad1c),Func_3ad1c
+	dbw BANK(SaveSAVtoSRAM0),SaveSAVtoSRAM0
+	dbw BANK(Func_3ef18),Func_3ef18
+	dbw BANK(Func_5a5f),Func_5a5f
 	dbw BANK(DrawBadges), DrawBadges
-	dbw $10,$50F3
-	dbw $1C,$496D
-	dbw $1E,$5DDA
-	dbw $10,$5682
-	dbw $1E,$5869
-	dbw $1C,$4B5D
-	dbw $03,$4586
-StatusScreenPredef: ; 4ff1b (13:7f1b)
+	dbw BANK(Func_410f3),Func_410f3
+	dbw BANK(Func_7096d),Func_7096d
+	dbw BANK(Func_79dda),Func_79dda
+	dbw BANK(PlayIntro),PlayIntro
+	dbw BANK(Func_79869),Func_79869
+	dbw BANK(Func_70b5d),Func_70b5d
+	dbw BANK(Func_c586),Func_c586
 	dbw BANK(StatusScreen),StatusScreen ; 37 0x12953
-StatusSceren2Predef: ; 4ff1e (13:7f1e)
 	dbw BANK(StatusScreen2),StatusScreen2 ; 38
-	dbw $10,$50E2
-	dbw $15,$690F
-	dbw $10,$5010
-Predef3BPredef: ; 4ff2a (13:7f2a)
+	dbw BANK(Func_410e2),Func_410e2
+	db BANK(CheckEngagePlayer)
+	dw CheckEngagePlayer
+	dbw BANK(IndexToPokedex),IndexToPokedex
 	dbw BANK(Predef3B),Predef3B; 3B display pic?
-	dbw $03,$6F54
-	dbw $10,$42D1
-	dbw $0E,$6FB8
-	dbw $1C,$770A
-	dbw $1C,$602B
-	dbw $03,$7113
-	dbw $17,$5B5E
-	dbw $04,$773E
-	dbw $04,$7763
-	dbw $1C,$5DDF
-	dbw $17,$40DC; 46 load dex screen
-	dbw $03,$72E5
-	dbw $03,$7A1D
-	dbw $0F,$4DEC
-	dbw $1C,$4F60
-	dbw $09,$7D6B
-	dbw $05,$7C47; 4C player exclamation
-	dbw $01,$5AAF; return immediately
-	dbw $01,$64EB
-	dbw $0D,$7CA1
-	dbw $1C,$780F
-	dbw $1C,$76BD
-	dbw $1C,$75E8
-	dbw $1C,$77E2
-Predef54Predef: ; 4ff75 (13:7f75)
+	dbw BANK(Func_ef54),Func_ef54
+	dbw BANK(ShowPokedexData),ShowPokedexData
+	dbw BANK(WriteMonMoves),WriteMonMoves
+	dbw BANK(SaveSAV),SaveSAV
+	dbw BANK(Func_7202b),Func_7202b
+	dbw BANK(Func_f113),Func_f113
+	dbw BANK(SetPartyMonTypes),SetPartyMonTypes
+	db BANK(TestMonMoveCompatibility)
+	dw TestMonMoveCompatibility
+	dbw BANK(TMToMove),TMToMove
+	dbw BANK(Func_71ddf),Func_71ddf
+	dbw BANK(Func_5c0dc),Func_5c0dc; 46 load dex screen
+	db BANK(_AddPokemonToParty)
+	dw _AddPokemonToParty
+	dbw BANK(UpdateHPBar),UpdateHPBar
+	dbw BANK(Func_3cdec),Func_3cdec
+	dbw BANK(Func_70f60),Func_70f60
+	dbw BANK(Func_27d6b),Func_27d6b
+	dbw BANK(Func_17c47),Func_17c47; 4C player exclamation
+	dbw BANK(Func_5aaf),Func_5aaf; return immediately
+	db BANK(AskForMonNickname)
+	dw AskForMonNickname
+	dbw BANK(Func_37ca1),Func_37ca1
+	dbw BANK(SaveSAVtoSRAM2),SaveSAVtoSRAM2
+	dbw BANK(LoadSAVCheckSum2),LoadSAVCheckSum2
+	dbw BANK(LoadSAV),LoadSAV
+	dbw BANK(SaveSAVtoSRAM1),SaveSAVtoSRAM1
 	dbw BANK(Predef54),Predef54 ; 54 initiate trade
-	dbw $1D,$405C
-	dbw $11,$4169
-	dbw $1E,$45BA
-	dbw $1E,$4510
-	dbw $03,$45BE
-	dbw $03,$460B
-	dbw $03,$4D99
-	dbw $01,$4DE1
-	dbw $09,$7D98
-LoadMovePPsPredef:
+	dbw BANK(Func_7405c),Func_7405c
+	dbw BANK(DisplayDexRating),DisplayDexRating
+	db $1E ; uses wrong bank number
+	dw _DoFlyOrTeleportAwayGraphics
+	db $1E ; uses wrong bank number
+	dw Func_70510
+	dbw BANK(Func_c5be),Func_c5be
+	dbw BANK(Func_c60b),Func_c60b
+	dbw BANK(Func_cd99),Func_cd99
+	dbw BANK(PickupItem),PickupItem
+	dbw BANK(Func_27d98),Func_27d98
 	dbw BANK(LoadMovePPs),LoadMovePPs
 DrawHPBarPredef: ; 4ff96 (13:7f96)
-	dbw $04,$68EF ; 5F draw HP bar
-	dbw $04,$68F6
-	dbw $07,$49C6
-	dbw $16,$5035
+	dbw BANK(Func_128ef),Func_128ef ; 5F draw HP bar
+	dbw BANK(Func_128f6),Func_128f6
+	dbw BANK(Func_1c9c6),Func_1c9c6
+	dbw BANK(Func_59035),Func_59035
 
 SECTION "bank14",ROMX,BANK[$14]
 
 Route22_h: ; 0x50000 to 0x50022 (34 bytes) (id=33)
 	db $00 ; tileset
 	db ROUTE_22_HEIGHT, ROUTE_22_WIDTH ; dimensions (y, x)
-	dw Route22Blocks, Route22Texts, Route22Script ; blocks, texts, scripts
+	dw Route22Blocks, Route22TextPointers, Route22Script ; blocks, texts, scripts
 	db NORTH | EAST ; connections
 
 	; connections data
@@ -79295,7 +80874,7 @@ Route22Blocks: ; 5003d (14:403d)
 Route20_h: ; 0x500f1 to 0x50113 (34 bytes) (id=31)
 	db $00 ; tileset
 	db ROUTE_20_HEIGHT, ROUTE_20_WIDTH ; dimensions (y, x)
-	dw Route20Blocks, Route20Texts, Route20Script ; blocks, texts, scripts
+	dw Route20Blocks, Route20TextPointers, Route20Script ; blocks, texts, scripts
 	db WEST | EAST ; connections
 
 	; connections data
@@ -79351,7 +80930,7 @@ Route20Blocks: ; 5017d (14:417d)
 Route23_h: ; 0x5033f to 0x50361 (34 bytes) (id=34)
 	db $17 ; tileset
 	db ROUTE_23_HEIGHT, ROUTE_23_WIDTH ; dimensions (y, x)
-	dw Route23Blocks, Route23Texts, Route23Script ; blocks, texts, scripts
+	dw Route23Blocks, Route23TextPointers, Route23Script ; blocks, texts, scripts
 	db NORTH | SOUTH ; connections
 
 	; connections data
@@ -79407,7 +80986,7 @@ Route23Blocks: ; 503b2 (14:43b2)
 Route24_h: ; 0x50682 to 0x506a4 (34 bytes) (id=35)
 	db $00 ; tileset
 	db ROUTE_24_HEIGHT, ROUTE_24_WIDTH ; dimensions (y, x)
-	dw Route24Blocks, Route24Texts, Route24Script ; blocks, texts, scripts
+	dw Route24Blocks, Route24TextPointers, Route24Script ; blocks, texts, scripts
 	db SOUTH | EAST ; connections
 
 	; connections data
@@ -79453,7 +81032,7 @@ Route24Blocks: ; 506e7 (14:46e7)
 Route25_h: ; 0x5079b to 0x507b2 (23 bytes) (id=36)
 	db $00 ; tileset
 	db ROUTE_25_HEIGHT, ROUTE_25_WIDTH ; dimensions (y, x)
-	dw Route25Blocks, Route25Texts, Route25Script ; blocks, texts, scripts
+	dw Route25Blocks, Route25TextPointers, Route25Script ; blocks, texts, scripts
 	db WEST ; connections
 
 	; connections data
@@ -79499,7 +81078,7 @@ Route25Blocks: ; 50810 (14:4810)
 IndigoPlateau_h: ; 0x5091e to 0x50935 (23 bytes) (id=9)
 	db $17 ; tileset
 	db INDIGO_PLATEAU_HEIGHT, INDIGO_PLATEAU_WIDTH ; dimensions (y, x)
-	dw IndigoPlateauBlocks, IndigoPlateauTexts, IndigoPlateauScript ; blocks, texts, scripts
+	dw IndigoPlateauBlocks, IndigoPlateauTextPointers, IndigoPlateauScript ; blocks, texts, scripts
 	db SOUTH ; connections
 
 	; connections data
@@ -79518,7 +81097,7 @@ IndigoPlateau_h: ; 0x5091e to 0x50935 (23 bytes) (id=9)
 IndigoPlateauScript: ; 50935 (14:4935)
 	ret
 
-IndigoPlateauTexts: ; 50936 (14:4936)
+IndigoPlateauTextPointers: ; 50936 (14:4936)
 IndigoPlateauObject: ; 0x50936 (size=20)
 	db $e ; border tile
 
@@ -79540,7 +81119,7 @@ IndigoPlateauBlocks: ; 5094a (14:494a)
 SaffronCity_h: ; 0x509a4 to 0x509dc (56 bytes) (id=10)
 	db $00 ; tileset
 	db SAFFRON_CITY_HEIGHT, SAFFRON_CITY_WIDTH ; dimensions (y, x)
-	dw SaffronCityBlocks, SaffronCityTexts, SaffronCityScript ; blocks, texts, scripts
+	dw SaffronCityBlocks, SaffronCityTextPointers, SaffronCityScript ; blocks, texts, scripts
 	db NORTH | SOUTH | WEST | EAST ; connections
 
 	; connections data
@@ -79635,8 +81214,32 @@ SaffronCityBlocks: ; 50a98 (14:4a98)
 SaffronCityScript: ; 50c00 (14:4c00)
 	jp EnableAutoTextBoxDrawing
 
-SaffronCityTexts: ; 50c03 (14:4c03)
-	dw SaffronCityText1, SaffronCityText2, SaffronCityText3, SaffronCityText4, SaffronCityText5, SaffronCityText6, SaffronCityText7, SaffronCityText8, SaffronCityText9, SaffronCityText10, SaffronCityText11, SaffronCityText12, SaffronCityText13, SaffronCityText14, SaffronCityText15, SaffronCityText16, SaffronCityText17, SaffronCityText18, MartSignText, SaffronCityText20, SaffronCityText21, SaffronCityText22, PokeCenterSignText, SaffronCityText24, SaffronCityText25
+SaffronCityTextPointers: ; 50c03 (14:4c03)
+	dw SaffronCityText1
+	dw SaffronCityText2
+	dw SaffronCityText3
+	dw SaffronCityText4
+	dw SaffronCityText5
+	dw SaffronCityText6
+	dw SaffronCityText7
+	dw SaffronCityText8
+	dw SaffronCityText9
+	dw SaffronCityText10
+	dw SaffronCityText11
+	dw SaffronCityText12
+	dw SaffronCityText13
+	dw SaffronCityText14
+	dw SaffronCityText15
+	dw SaffronCityText16
+	dw SaffronCityText17
+	dw SaffronCityText18
+	dw MartSignText
+	dw SaffronCityText20
+	dw SaffronCityText21
+	dw SaffronCityText22
+	dw PokeCenterSignText
+	dw SaffronCityText24
+	dw SaffronCityText25
 
 SaffronCityText1: ; 50c35 (14:4c35)
 	TX_FAR _SaffronCityText1
@@ -79737,7 +81340,7 @@ Route20Script: ; 50ca9 (14:4ca9)
 	call nz, Func_50cc6
 	call EnableAutoTextBoxDrawing
 	ld hl, Route20TrainerHeader0 ; $4d3a
-	ld de, Unknown_50d1c ; $4d1c
+	ld de, Route20ScriptPointers
 	ld a, [W_ROUTE20CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROUTE20CURSCRIPT], a
@@ -79752,7 +81355,7 @@ Func_50cc6: ; 50cc6 (14:4cc6)
 	call Func_50d0c
 	ld a, $d8
 	call Func_50d0c
-	ld hl, .unknown_50ce8 ; $4ce8
+	ld hl, .MissableObjectIDs ; $4ce8
 .asm_50cdc
 	ld a, [hli]
 	cp $ff
@@ -79762,8 +81365,8 @@ Func_50cc6: ; 50cc6 (14:4cc6)
 	pop hl
 	jr .asm_50cdc
 
-.unknown_50ce8: ; 50ce8 (14:4ce8)
-INCBIN "baserom.gbc",$50ce8,$50cef - $50ce8
+.MissableObjectIDs: ; 50ce8 (14:4ce8)
+	db $D9,$DA,$DB,$DC,$DF,$E0,$FF
 
 .asm_50cef
 	ld a, [$d881]
@@ -79790,11 +81393,24 @@ Func_50d14: ; 50d14 (14:4d14)
 	ld a, $11
 	jp Predef ; indirect jump to RemoveMissableObject (f1d7 (3:71d7))
 
-Unknown_50d1c: ; 50d1c (14:4d1c)
-INCBIN "baserom.gbc",$50d1c,$50d22 - $50d1c
+Route20ScriptPointers: ; 50d1c (14:4d1c)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-Route20Texts: ; 50d22 (14:4d22)
-	dw Route20Text1, Route20Text2, Route20Text3, Route20Text4, Route20Text5, Route20Text6, Route20Text7, Route20Text8, Route20Text9, Route20Text10, Route20Text11, Route20Text12
+Route20TextPointers: ; 50d22 (14:4d22)
+	dw Route20Text1
+	dw Route20Text2
+	dw Route20Text3
+	dw Route20Text4
+	dw Route20Text5
+	dw Route20Text6
+	dw Route20Text7
+	dw Route20Text8
+	dw Route20Text9
+	dw Route20Text10
+	dw Route20Text11
+	dw Route20Text12
 
 Route20TrainerHeaders: ; 50d3a (14:4d3a)
 Route20TrainerHeader0: ; 50d3a (14:4d3a)
@@ -79887,7 +81503,7 @@ Route20TrainerHeader10: ; 50da6 (14:4da6)
 	dw Route20EndBattleText10 ; 0x4ea3 TextEndBattle
 	dw Route20EndBattleText10 ; 0x4ea3 TextEndBattle
 
-db $ff
+	db $ff
 
 Route20Text1: ; 50db3 (14:4db3)
 	db $08 ; asm
@@ -80076,19 +81692,25 @@ Route20Text11: ; 50ead (14:4ead)
 
 Route22Script: ; 50eb2 (14:4eb2)
 	call EnableAutoTextBoxDrawing
-	ld hl, Route22Scripts
+	ld hl, Route22ScriptPointers
 	ld a, [W_ROUTE22CURSCRIPT]
 	jp CallFunctionInTable
 
-Route22Scripts: ; 50ebe (14:4ebe)
-	dw Route22Script0, Route22Script1, Route22Script2, Route22Script3
-
-INCBIN "baserom.gbc",$50ec6,$50ece - $50ec6
+Route22ScriptPointers: ; 50ebe (14:4ebe)
+	dw Route22Script0
+	dw Route22Script1
+	dw Route22Script2
+	dw Route22Script3
+	dw Route22Script4
+	dw Route22Script5
+	dw Route22Script6
+	dw $4Ed5
 
 Func_50ece: ; 50ece (14:4ece)
 	xor a
 	ld [wJoypadForbiddenButtonsMask], a
 	ld [W_ROUTE22CURSCRIPT], a
+Route22Script7: ; 50ed5 (14:4ed5)
 	ret
 
 Func_50ed6: ; 50ed6 (14:4ed6)
@@ -80106,7 +81728,7 @@ Func_50ed6: ; 50ed6 (14:4ed6)
 	ret
 
 Func_50ee6: ; 50ee6 (14:4ee6)
-	ld de, Unknown_50efb ; $4efb
+	ld de, MovementData_50efb ; $4efb
 	ld a, [$cf0d]
 	cp $1
 	jr z, .asm_50ef1
@@ -80117,14 +81739,14 @@ Func_50ee6: ; 50ee6 (14:4ee6)
 	ld [$FF00+$8d], a
 	jp Func_34a6
 
-Unknown_50efb: ; 50efb (14:4efb)
-INCBIN "baserom.gbc",$50efb,$50f00 - $50efb
+MovementData_50efb: ; 50efb (14:4efb)
+	db $C0,$C0,$C0,$C0,$FF
 
 Route22Script0: ; 50f00 (14:4f00)
 	ld a, [$d7eb]
 	bit 7, a
 	ret z
-	ld hl, .unknown_50f2d ; $4f2d
+	ld hl, .CoordsData_50f2d ; $4f2d
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, [$cd3d]
@@ -80142,7 +81764,7 @@ Route22Script0: ; 50f00 (14:4f00)
 	jp nz, Func_5104e
 	ret
 
-.unknown_50f2d
+.CoordsData_50f2d
 	db $04, $1D
 	db $05, $1D
 	db $FF
@@ -80209,7 +81831,9 @@ Route22Script1: ; 50f62 (14:4f62)
 	ret
 
 Unknown_50faf: ; 50faf (14:4faf)
-INCBIN "baserom.gbc",$50faf,$50fb5 - $50faf
+	db SQUIRTLE,$04
+	db BULBASAUR,$05
+	db CHARMANDER,$06
 
 Route22Script2: ; 50fb5 (14:4fb5)
 	ld a, [$d057]
@@ -80253,21 +81877,21 @@ Route22Script2: ; 50fb5 (14:4fb5)
 	ret
 
 Func_51008: ; 51008 (14:5008)
-	ld de, Unknown_51017 ; $5017
+	ld de, MovementData_51017 ; $5017
 	jr asm_51010
 
 Func_5100d: ; 5100d (14:500d)
-	ld de, Unknown_5101f ; $501f
+	ld de, MovementData_5101f ; $501f
 asm_51010
 	ld a, $1
 	ld [H_SPRITEHEIGHT], a
 	jp MoveSprite
 
-Unknown_51017: ; 51017 (14:5017)
-INCBIN "baserom.gbc",$51017,$5101f - $51017
+MovementData_51017: ; 51017 (14:5017)
+	db $C0,$C0,$00,$00,$00,$00,$00,$FF
 
-Unknown_5101f: ; 5101f (14:501f)
-INCBIN "baserom.gbc",$5101f,$5102a - $5101f
+MovementData_5101f: ; 5101f (14:501f)
+	db $40,$C0,$C0,$C0,$00,$00,$00,$00,$00,$00,$FF
 
 Route22Script3: ; 5102a (14:502a)
 	ld a, [$d730]
@@ -80313,6 +81937,8 @@ Func_5104e: ; 5104e (14:504e)
 	ld a, $4
 	ld [W_ROUTE22CURSCRIPT], a
 	ret
+
+Route22Script4: ; 51087 (14:5087)
 	ld a, [$d730]
 	bit 0, a
 	ret nz
@@ -80352,7 +81978,11 @@ Func_5104e: ; 5104e (14:504e)
 	ret
 
 Unknown_510d9: ; 510d9 (14:50d9)
-INCBIN "baserom.gbc",$510d9,$510df - $510d9
+	db SQUIRTLE,$0a
+	db BULBASAUR,$0b
+	db CHARMANDER,$0c
+
+Route22Script5: ; 510df (14:50df)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_50ece
@@ -80398,21 +82028,23 @@ INCBIN "baserom.gbc",$510d9,$510df - $510d9
 	ret
 
 Func_5113d: ; 5113d (14:513d)
-	ld de, Unknown_5114c ; $514c
+	ld de, MovementData_5114c ; $514c
 	jr asm_51145
 
 Func_51142: ; 51142 (14:5142)
-	ld de, Unknown_5114d ; $514d
+	ld de, MovementData_5114d ; $514d
 asm_51145: ; 51145 (14:5145)
 	ld a, $2
 	ld [H_DOWNARROWBLINKCNT2], a ; $FF00+$8c
 	jp MoveSprite
 
-Unknown_5114c: ; 5114c (14:514c)
-INCBIN "baserom.gbc",$5114c,$5114d - $5114c
+MovementData_5114c: ; 5114c (14:514c)
+	db $80
 
-Unknown_5114d: ; 5114d (14:514d)
-INCBIN "baserom.gbc",$5114d,$51151 - $5114d
+MovementData_5114d: ; 5114d (14:514d)
+	db $80,$80,$80,$FF
+
+Route22Script6: ; 51151 (14:5151)
 	ld a, [$d730]
 	bit 0, a
 	ret nz
@@ -80430,8 +82062,10 @@ INCBIN "baserom.gbc",$5114d,$51151 - $5114d
 	ld [W_ROUTE22CURSCRIPT], a
 	ret
 
-Route22Texts: ; 51175 (14:5175)
-	dw Route22Text1, Route22Text2, Route22Text3
+Route22TextPointers: ; 51175 (14:5175)
+	dw Route22Text1
+	dw Route22Text2
+	dw Route22Text3
 
 Route22Text1: ; 5117b (14:517b)
 	db $08 ; asm
@@ -80500,7 +82134,7 @@ Route22Text3: ; 511d5 (14:51d5)
 Route23Script: ; 511da (14:51da)
 	call Func_511e9
 	call EnableAutoTextBoxDrawing
-	ld hl, Route23Scripts
+	ld hl, Route23ScriptPointers
 	ld a, [W_ROUTE23CURSCRIPT]
 	jp CallFunctionInTable
 
@@ -80524,12 +82158,14 @@ Func_511e9: ; 511e9 (14:51e9)
 	ld a, $11
 	jp Predef ; indirect jump to RemoveMissableObject (f1d7 (3:71d7))
 
-Route23Scripts: ; 51213 (14:5213)
-	dw Route23Script0, Route23Script1, Route23Script2
+Route23ScriptPointers: ; 51213 (14:5213)
+	dw Route23Script0
+	dw Route23Script1
+	dw Route23Script2
 
 Route23Script0: ; 51219 (14:5219)
-	ld hl, Unknown_51255 ; $5255
-	ld a, [$d361]
+	ld hl, YCoordsData_51255 ; $5255
+	ld a, [W_YCOORD]
 	ld b, a
 	ld e, $0
 	ld c, $7
@@ -80543,7 +82179,7 @@ Route23Script0: ; 51219 (14:5219)
 	jr nz, .asm_51224 ; 0x5122b $f7
 	cp $23
 	jr nz, .asm_51237 ; 0x5122f $6
-	ld a, [$d362]
+	ld a, [W_XCOORD]
 	cp $e
 	ret nc
 .asm_51237
@@ -80564,11 +82200,11 @@ Route23Script0: ; 51219 (14:5219)
 	ld [H_CURRENTPRESSEDBUTTONS], a
 	ret
 
-Unknown_51255: ; 51255 (14:5255)
-INCBIN "baserom.gbc",$51255,$5125d - $51255
+YCoordsData_51255: ; 51255 (14:5255)
+	db $23,$38,$55,$60,$69,$77,$88,$FF
 
 Func_5125d: ; 5125d (14:525d)
-	ld hl, Unknown_51276 ; $5276
+	ld hl, BadgeTextPointers ; $5276
 	ld a, [wWhichTrade] ; $cd3d
 	ld c, a
 	ld b, $0
@@ -80586,16 +82222,34 @@ Func_5125d: ; 5125d (14:525d)
 	jr nz, .asm_5126e
 	ret
 
-Unknown_51276: ; 51276 (14:5276)
-INCBIN "baserom.gbc",$51276,$51284 - $51276
+BadgeTextPointers: ; 51276 (14:5276)
+	dw CascadeBadgeText
+	dw ThunderBadgeText
+	dw RainbowBadgeText
+	dw SoulBadgeText
+	dw MarshBadgeText
+	dw VolcanoBadgeText
+	dw EarthBadgeText
 
-BadgeList: ; 51284 (14:5284)
+EarthBadgeText: ; 51284 (14:5284)
 	db "EARTHBADGE@"
+
+VolcanoBadgeText: ; 5128f (14:528f)
 	db "VOLCANOBADGE@"
+
+MarshBadgeText: ; 5129c (14:529c)
 	db "MARSHBADGE@"
+
+SoulBadgeText: ; 512a7 (14:52a7)
 	db "SOULBADGE@"
+
+RainbowBadgeText: ; 512b1 (14:52b1)
 	db "RAINBOWBADGE@"
+
+ThunderBadgeText: ; 512be (14:52be)
 	db "THUNDERBADGE@"
+
+CascadeBadgeText: ; 512cb (14:52cb)
 	db "CASCADEBADGE@"
 
 Func_512d8: ; 512d8 (14:52d8)
@@ -80617,8 +82271,15 @@ Route23Script2: ; 512f1 (14:52f1)
 	ld [W_ROUTE23CURSCRIPT], a
 	ret
 
-Route23Texts: ; 512f7 (14:52f7)
-	dw Route23Text1, Route23Text2, Route23Text3, Route23Text4, Route23Text5, Route23Text6, Route23Text7, Route23Text8
+Route23TextPointers: ; 512f7 (14:52f7)
+	dw Route23Text1
+	dw Route23Text2
+	dw Route23Text3
+	dw Route23Text4
+	dw Route23Text5
+	dw Route23Text6
+	dw Route23Text7
+	dw Route23Text8
 
 Route23Text1: ; 51307 (14:5307)
 	db $08 ; asm
@@ -80675,14 +82336,14 @@ Func_51346: ; 51346 (14:5346)
 	ld a, c
 	and a
 	jr nz, .asm_5136e
-	ld hl, Unknown_5138e ; $538e
+	ld hl, VictoryRoadGuardText1 ; $538e
 	call PrintText
 	call Func_512d8
 	ld a, $1
 	ld [W_ROUTE23CURSCRIPT], a
 	ret
 .asm_5136e
-	ld hl, Unknown_5139e ; $539e
+	ld hl, VictoryRoadGuardText2 ; $539e
 	call PrintText
 	ld a, [wWhichTrade] ; $cd3d
 	ld c, a
@@ -80694,15 +82355,21 @@ Func_51346: ; 51346 (14:5346)
 	ld [W_ROUTE23CURSCRIPT], a
 	ret
 
-INCBIN "baserom.gbc",$51388,$5138e - $51388
+Func_51388: ; 51388 (14:5388)
+	ld hl, VictoryRoadGuardText2
+	jp PrintText
 
-Unknown_5138e: ; 5138e (14:538e)
-INCBIN "baserom.gbc",$5138e,$5139e - $5138e
+VictoryRoadGuardText1: ; 5138e (14:538e)
+	TX_FAR _VictoryRoadGuardText1
+	db $08 ; asm
+	ld a, $a5
+	call PlaySoundWaitForCurrent
+	call WaitForSoundToFinish
+	jp TextScriptEnd
 
-Unknown_5139e: ; 5139e (14:539e)
-INCBIN "baserom.gbc",$5139e,$513a3 - $5139e
-
-UnnamedText_513a3: ; 513a3 (14:53a3)
+VictoryRoadGuardText2: ; 5139e (14:539e)
+	TX_FAR _VictoryRoadGuardText2
+	db $b
 	TX_FAR _UnnamedText_513a3
 	db "@"
 
@@ -80713,7 +82380,7 @@ Route23Text8: ; 513a8 (14:53a8)
 Route24Script: ; 513ad (14:53ad)
 	call EnableAutoTextBoxDrawing
 	ld hl, Route24TrainerHeaders
-	ld de, Unknown_513cb ; $53cb
+	ld de, Route24ScriptPointers
 	ld a, [W_ROUTE24CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROUTE24CURSCRIPT], a
@@ -80726,12 +82393,18 @@ Func_513c0: ; 513c0 (14:53c0)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_513cb: ; 513cb (14:53cb)
-INCBIN "baserom.gbc",$513cb,$513d5 - $513cb
+Route24ScriptPointers: ; 513cb (14:53cb)
+	dw Route24Script0
+	dw Func_324c
+	dw EndTrainerBattle
+	dw Route24Script3
+	dw Route24Script4
+
+Route24Script0: ; 513d5 (14:53d5)
 	ld a, [$d7ef]
 	bit 0, a
 	jp nz, CheckFightingMapTrainers
-	ld hl, Unknown_5140e ; $540e
+	ld hl, CoordsData_5140e ; $540e
 	call ArePlayerCoordsInArray
 	jp nc, CheckFightingMapTrainers
 	xor a
@@ -80753,8 +82426,20 @@ INCBIN "baserom.gbc",$513cb,$513d5 - $513cb
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_5140e: ; 5140e (14:540e)
-INCBIN "baserom.gbc",$5140e,$51422 - $5140e
+CoordsData_5140e: ; 5140e (14:540e)
+	db $0F,$0A,$FF
+
+Route24Script4: ; 51411 (14:5411)
+	ld a, [$cd38]
+	and a
+	ret nz
+	call Delay3
+	ld a, $0
+	ld [W_ROUTE24CURSCRIPT], a
+	ld [W_CURMAPSCRIPT], a
+	ret
+
+Route24Script3: ; 51422 (14:5422) 
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_513c0
@@ -80773,8 +82458,15 @@ INCBIN "baserom.gbc",$5140e,$51422 - $5140e
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Route24Texts: ; 5144b (14:544b)
-	dw Route24Text1, Route24Text2, Route24Text3, Route24Text4, Route24Text5, Route24Text6, Route24Text7, Predef5CText
+Route24TextPointers: ; 5144b (14:544b)
+	dw Route24Text1
+	dw Route24Text2
+	dw Route24Text3
+	dw Route24Text4
+	dw Route24Text5
+	dw Route24Text6
+	dw Route24Text7
+	dw Predef5CText
 
 Route24TrainerHeaders: ; 5145b (14:545b)
 Route24TrainerHeader0: ; 5145b (14:545b)
@@ -80831,7 +82523,7 @@ Route24TrainerHeader6: ; 51497 (14:5497)
 	dw Route24EndBattleText6 ; 0x55c1 TextEndBattle
 	dw Route24EndBattleText6 ; 0x55c1 TextEndBattle
 
-db $ff
+	db $ff
 
 Route24Text1: ; 514a4 (14:54a4)
 	db $8
@@ -81016,7 +82708,7 @@ Route25Script: ; 515cb (14:55cb)
 	call Unknown_515e1
 	call EnableAutoTextBoxDrawing
 	ld hl, Route25TrainerHeaders
-	ld de, Unknown_51622 ; $5622
+	ld de, Route25ScriptPointers
 	ld a, [W_ROUTE25CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_ROUTE25CURSCRIPT], a
@@ -81054,11 +82746,23 @@ Unknown_515e1: ; 515e1 (14:55e1)
 	ld a, $15
 	jp Predef ; indirect jump to AddMissableObject (f1c8 (3:71c8))
 
-Unknown_51622: ; 51622 (14:5622)
-INCBIN "baserom.gbc",$51622,$51628 - $51622
+Route25ScriptPointers: ; 51622 (14:5622)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-Route25Texts: ; 51628 (14:5628)
-	dw Route25Text1, Route25Text2, Route25Text3, Route25Text4, Route25Text5, Route25Text6, Route25Text7, Route25Text8, Route25Text9, Predef5CText, Route25Text11
+Route25TextPointers: ; 51628 (14:5628)
+	dw Route25Text1
+	dw Route25Text2
+	dw Route25Text3
+	dw Route25Text4
+	dw Route25Text5
+	dw Route25Text6
+	dw Route25Text7
+	dw Route25Text8
+	dw Route25Text9
+	dw Predef5CText
+	dw Route25Text11
 
 Route25TrainerHeaders: ; 5163e (14:563e)
 Route25TrainerHeader0: ; 5163e (14:563e)
@@ -81142,7 +82846,7 @@ Route25TrainerHeader9: ; 5169e (14:569e)
 	dw Route25EndBattleText9 ; 0x5782 TextEndBattle
 	dw Route25EndBattleText9 ; 0x5782 TextEndBattle
 
-db $ff
+	db $ff
 
 Route25Text1: ; 516ab (14:56ab)
 	db $08 ; asm
@@ -81313,7 +83017,7 @@ Route25Text11: ; 5178c (14:578c)
 VictoryRoad2_h: ; 0x51791 to 0x5179d (12 bytes) (id=194)
 	db $11 ; tileset
 	db VICTORY_ROAD_2_HEIGHT, VICTORY_ROAD_2_WIDTH ; dimensions (y, x)
-	dw VictoryRoad2Blocks, VictoryRoad2Texts, VictoryRoad2Script ; blocks, texts, scripts
+	dw VictoryRoad2Blocks, VictoryRoad2TextPointers, VictoryRoad2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VictoryRoad2Object ; objects
@@ -81322,20 +83026,20 @@ VictoryRoad2Script: ; 5179d (14:579d)
 	ld hl, $d126
 	bit 6, [hl]
 	res 6, [hl]
-	call nz, VictoryRoad2Script_Unknown517c4
+	call nz, VictoryRoad2Script_517c4
 	ld hl, $d126
 	bit 5, [hl]
 	res 5, [hl]
 	call nz, Func_517c9
 	call EnableAutoTextBoxDrawing
 	ld hl, VictoryRoad2TrainerHeaders
-	ld de, Unknown_517eb ; $57eb
+	ld de, VictoryRoad2ScriptPointers
 	ld a, [W_VICTORYROAD2CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_VICTORYROAD2CURSCRIPT], a
 	ret
 
-VictoryRoad2Script_Unknown517c4: ; 517c4 (14:57c4)
+VictoryRoad2Script_517c4: ; 517c4 (14:57c4)
 	ld hl, $d869
 	res 7, [hl]
 
